Debian Bug report logs - #708122
ITP: pjsip -- VoIP library implementing SIP and related protocols

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tzafrir Cohen <tzafrir@debian.org>

Date: Mon, 13 May 2013 11:30:02 UTC

Owned by: Tzafrir Cohen <tzafrir@debian.org>

Severity: wishlist

Fixed in version pjproject/2.1.0~ast20130801-1

Done: Tzafrir Cohen <tzafrir@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#708122; Package wnpp. (Mon, 13 May 2013 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 13 May 2013 11:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pjsip -- VoIP library implementing SIP and related protocols
Date: Mon, 13 May 2013 14:26:50 +0300
Package: wnpp
Severity: wishlist
Owner: Tzafrir Cohen <tzafrir@debian.org>

* Package name    : pjsip
  Version         : 2.1.0.0.ast20130312
  Upstream Author : http://www.teluu.com/
* URL             : http://pjsip.org/
* License         : GPL2+ (with OpenSSL exceptions)
  Programming Lang: C
  Description     : VoIP library implementing SIP and related protocols

 multimedia communication library implementing standard based protocols
 such as SIP, SDP, RTP, STUN, TURN, and ICE. It combines signaling
 protocol (SIP) with multimedia framework and NAT traversal functionality
 into high level multimedia communication API that is portable and
 suitable for almost any type of systems ranging from desktops, embedded
 systems, to mobile handsets.

PJSIP (a.k.a PJProject. pjsip may refer to only one of its components,
implementing the SIP protocol) is normally built as a static library and
embedded in projects. It is currently embedded in sflphone (any other
package?).

Asterisk 11 uses an embedded copy of pjsip for some extra features in
the SIP channel driver. Asterisk >= 12 (current trunk) will use it as
the base for its SIP channel driver (and possibly more things). In order
to avoid an embedded copy of the library, the developers of Asterisk
maintain their own copy of pjsip which is dynamically-linked[1]. This
packaging is based on that copy. According to them this patch set should
be merged back to the pjsip maintainers by October (when Asterisk 12 is
released).

Initial packaging could be found at [2] (named "pjproject"). Packages
built from it: at [3]. Specifically, I'm not exactly sure if we need
more than the single -dev package / component. See [4].

[1] https://github.com/asterisk/pjproject
[2] http://git.tzafrir.org.il/?p=pjproject.git;a=summary
[3] http://tzafrir.org.il/~tzafrir/ast_11/
[4] http://lists.digium.com/pipermail/asterisk-dev/2013-April/059577.html



Added indication that 708122 affects asterisk and sflphone Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. (Sat, 01 Jun 2013 07:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Mon, 29 Jul 2013 11:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Mon, 29 Jul 2013 11:42:09 GMT) Full text and rfc822 format available.

Message #12 received at 708122@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 708122@bugs.debian.org
Subject: Status / need help for pjproject packaging?
Date: Mon, 29 Jul 2013 13:34:39 +0200
Tzafrir,

What is the current status of your Debian packaging for pjproject (still the one on github?)?

Can I help you out in any way, as I am eager to see asterisk 11.x in Debian?

Cheers,
Jeremy



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Tue, 30 Jul 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Tue, 30 Jul 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #17 received at 708122@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 708122@bugs.debian.org
Subject: Re: Status / need help for pjproject packaging?
Date: Tue, 30 Jul 2013 10:27:26 +0200
[Message part 1 (text/plain, inline)]
I am assuming the current version of the packaging is on git.tzafrir.org, can we move this
to a repo on alioth, presumably under control of pkg-voip-maintainers?

I have spotted what looks like a mistake in debian/control for pjproject:

- it has a Build-Depends on libpulse-dev (which looks unnecessary)
- it is missing a Build-Depends on portaudio19-dev (without which it FTBFS for me)

The attached patch fixes this.

Jeremy
[fix-build-depends.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Thu, 01 Aug 2013 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Thu, 01 Aug 2013 07:00:04 GMT) Full text and rfc822 format available.

Message #22 received at 708122@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: Jeremy Lainé <jeremy.laine@m4x.org>, 708122@bugs.debian.org
Subject: Re: Bug#708122: Status / need help for pjproject packaging?
Date: Thu, 1 Aug 2013 08:36:17 +0200
On Mon, Jul 29, 2013 at 01:34:39PM +0200, Jeremy Lainé wrote:
> Tzafrir,
> 
> What is the current status of your Debian packaging for pjproject (still the one on github?)?
> 
> Can I help you out in any way, as I am eager to see asterisk 11.x in Debian?

Update: Thanks to Jeremy for the push. The code now builds. I've updated
the copyrights file and, like I thought, the third-party tree has some
oddities.

The next thing I need to do is to figure out how to create a stripped
branch for the Debian packaging. I guess this will require
git filter-branch. But then how do we update Upstream changees?

My branch is a few commits behind the Asterisk Upstream, so it would be
a good test for that. But if anybody beats me to it, feel free.

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Fri, 02 Aug 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Fri, 02 Aug 2013 13:39:04 GMT) Full text and rfc822 format available.

Message #27 received at 708122@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 708122@bugs.debian.org, tzafrir@cohens.org.il
Subject: stripped branch
Date: Fri, 02 Aug 2013 15:35:02 +0200
I just saw your comments on the ITP about creating a stripped branch

I package some sources that have an upstream debian/ tree in their
tarball.  I just use the "--filter" argument to git-import-orig and it
excludes that.  You can use the same argument to exclude any other file
or subtree, but I can imagine it becoming cumbersome to maintain.

Just what type of stuff do you need to exclude/filter?  Do you believe
it will change over time?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Sun, 04 Aug 2013 17:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Sun, 04 Aug 2013 17:27:18 GMT) Full text and rfc822 format available.

Message #32 received at 708122@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: 708122@bugs.debian.org
Subject: Re: Bug#708122: Status / need help for pjproject packaging?
Date: Sun, 4 Aug 2013 19:12:45 +0200
On Thu, Aug 01, 2013 at 08:36:17AM +0200, Tzafrir Cohen wrote:
> On Mon, Jul 29, 2013 at 01:34:39PM +0200, Jeremy Lainé wrote:
> > Tzafrir,
> > 
> > What is the current status of your Debian packaging for pjproject (still the one on github?)?
> > 
> > Can I help you out in any way, as I am eager to see asterisk 11.x in Debian?
> 
> Update: Thanks to Jeremy for the push. The code now builds. I've updated
> the copyrights file and, like I thought, the third-party tree has some
> oddities.

It's now up on
http://anonscm.debian.org/gitweb/?p=pkg-voip/pjproject.git

It's now based on impoted "tarballs" (which I now generate using git
archive).

I removed all the non-distributable bits (the alaw_ulaw file with the
odd Sun license is still there, though).

It's mostly done. But I would appreciate it if someone would be me to
fixing all the bits left.

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
tzafrir@debian.org    |                    | friend



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 08 Aug 2013 08:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>:
Bug#708122; Package wnpp. (Sat, 17 Aug 2013 13:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to pkg-voip-maintainers@lists.alioth.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tzafrir Cohen <tzafrir@debian.org>. (Sat, 17 Aug 2013 13:51:08 GMT) Full text and rfc822 format available.

Message #39 received at 708122@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Vlad Cerny <vcerny@uisonline.net>
Cc: 708122@bugs.debian.org
Subject: Re: Asterisk 11 and Debian
Date: Sat, 17 Aug 2013 15:43:14 +0200
Op 2013-08-07 om 12:09 schreef Tzafrir Cohen:
> On Wed, Aug 07, 2013 at 04:57:02AM -0400, Vlad Cerny wrote:
> > Hello,
> > 
> > I would like to ask about status of Asterisk 11 in Debian.
> > 
> > I could find only version 1.8 packages. After extensive research I
> > still do not understand if there are any (experimental) packages for
> > version 11 (which should be LTS).
> > 
> > Is there any FAQ regarding this? The only information I found is this:
> > https://lists.alioth.debian.org/pipermail/pkg-voip-maintainers/2013-June/023645.html
> > 
> > If I want to run Asterisk 11 on Debian, am I supposed to compile it
> > myself? If it is simple why there are no packages already? If the
> > compilation and packaging is difficult for experienced maintainers
> > then I have no chance to succeed. I have been using Asterisk for
> > years, but always Debian packages, I had trouble with compilation.
> > 
> > Could you please help? I can see no other way how to ask for an advice.
> > Thank you very much,
> 
> It depends on pjproject. Pjproject's packaging is almost complete.

FWIW, pjproject was uploaded to the new at 2013-08-08

Bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=708122 is marked as pending.


> http://anonscm.debian.org/gitweb/?p=pkg-voip/pjproject.git
> 
> Asterisk has now been converted to git and should build.
> 
> http://anonscm.debian.org/gitweb/?p=pkg-voip/asterisk.git
> 


Groeten
Geert Stappers
-- 
Leven en laten leven



Reply sent to Tzafrir Cohen <tzafrir@debian.org>:
You have taken responsibility. (Fri, 06 Sep 2013 01:03:12 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@debian.org>:
Bug acknowledged by developer. (Fri, 06 Sep 2013 01:03:13 GMT) Full text and rfc822 format available.

Message #44 received at 708122-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@debian.org>
To: 708122-close@bugs.debian.org
Subject: Bug#708122: fixed in pjproject 2.1.0~ast20130801-1
Date: Fri, 06 Sep 2013 01:00:07 +0000
Source: pjproject
Source-Version: 2.1.0~ast20130801-1

We believe that the bug you reported is fixed in the latest version of
pjproject, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708122@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@debian.org> (supplier of updated pjproject package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 07 Aug 2013 22:20:07 +0300
Source: pjproject
Binary: libpjlib-util2 libpjmedia-audiodev2 libpjmedia-codec2 libpjmedia-videodev2 libpjmedia2 libpjnath2 libpjsip-simple2 libpjsip-ua2 libpjsip2 libpjsua2 libpj2 libpjproject-dev
Architecture: source amd64
Version: 2.1.0~ast20130801-1
Distribution: unstable
Urgency: low
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Changed-By: Tzafrir Cohen <tzafrir@debian.org>
Description: 
 libpj2     - PJ Project - PJProject core libraries
 libpjlib-util2 - PJ Project - helper utilities
 libpjmedia-audiodev2 - PJ Project - Audio devices
 libpjmedia-codec2 - PJ Project - Multimedia codecs handling
 libpjmedia-videodev2 - SIP handling library - video devices
 libpjmedia2 - PJ Project - VoIP media
 libpjnath2 - PJ Project - NAT handling
 libpjproject-dev - PJ Project - development headers
 libpjsip-simple2 - PJ Project - SIP SIMPLE instant messaging
 libpjsip-ua2 - SIP handling library - SIP user agent library
 libpjsip2  - PJ Project - SIP handling library
 libpjsua2  - PJ Project - Basic VoIP client library
Closes: 708122
Changes: 
 pjproject (2.1.0~ast20130801-1) unstable; urgency=low
 .
   * Initial release. (Closes: #708122)
Checksums-Sha1: 
 7e4b29afff78528f1421b1955ab52221c6cdee1b 1940 pjproject_2.1.0~ast20130801-1.dsc
 d8b5e3f4af1710adc9fcdf6bd5ed0b77933c2b41 4988012 pjproject_2.1.0~ast20130801.orig.tar.gz
 b445af545e21ea07d0c5f5269215533d8b67ffba 24610 pjproject_2.1.0~ast20130801-1.debian.tar.gz
 8862d8c399ec3ead265664757baf4a7b60ca8b16 54302 libpjlib-util2_2.1.0~ast20130801-1_amd64.deb
 87aa00c7597b8e2c4d4eec4ccc846f6b4e6e468d 17868 libpjmedia-audiodev2_2.1.0~ast20130801-1_amd64.deb
 17b540d5c04f0e4c1730fdcfb3fee4d02696aa6c 22464 libpjmedia-codec2_2.1.0~ast20130801-1_amd64.deb
 177e5d8feb3790cd8c20b48ce4f2eca19782a55a 6386 libpjmedia-videodev2_2.1.0~ast20130801-1_amd64.deb
 4334eca04e76811bbd2416815034d4ee22af9a3d 121694 libpjmedia2_2.1.0~ast20130801-1_amd64.deb
 59e49d6fa3e5e30c42389359887a266f7daadbe2 66898 libpjnath2_2.1.0~ast20130801-1_amd64.deb
 964f0465c14effee245a75caed7d1c4dcc4ead7e 33926 libpjsip-simple2_2.1.0~ast20130801-1_amd64.deb
 f9613b94185d2d8868dcb91c12737480475449f1 41822 libpjsip-ua2_2.1.0~ast20130801-1_amd64.deb
 b08cc277dd719a83e47c8ed60e7de6a76f745bb0 109308 libpjsip2_2.1.0~ast20130801-1_amd64.deb
 edc3a250ad600f915070be7daf791554ef4d20d2 97650 libpjsua2_2.1.0~ast20130801-1_amd64.deb
 65a0776d5f8a25e757483d0cc82935bacf635b11 68382 libpj2_2.1.0~ast20130801-1_amd64.deb
 08464d21c6115ec53299965223e239604cd874ce 1022948 libpjproject-dev_2.1.0~ast20130801-1_amd64.deb
Checksums-Sha256: 
 ff1a8724454364bfc448df65f58b78ec1d8c45fc76e0226dfdc5a97eaec341fc 1940 pjproject_2.1.0~ast20130801-1.dsc
 e99d0c502556064cbac0d29c480d469d9489337df8cadaab0e69eb0a78661166 4988012 pjproject_2.1.0~ast20130801.orig.tar.gz
 d4e31b4b8d447148c75a8a942a95c0d85e68604a53c908a3a8017423b9e78dea 24610 pjproject_2.1.0~ast20130801-1.debian.tar.gz
 de2e80774c63bda4a8e709c772aac973f797200298a170a829d0f7573dd20fdc 54302 libpjlib-util2_2.1.0~ast20130801-1_amd64.deb
 d36bfba158efd0472076112ca6bc6f0df11fcfc816d563cde0d124d04aa60903 17868 libpjmedia-audiodev2_2.1.0~ast20130801-1_amd64.deb
 13f0ccd490bc6b07398b7d2ace5776feae16816d38564269d5196847d4b29650 22464 libpjmedia-codec2_2.1.0~ast20130801-1_amd64.deb
 fb9e8f84a83e10ec020c63acca90f8b1e2535c7d7d2d4015d526e7e629c88205 6386 libpjmedia-videodev2_2.1.0~ast20130801-1_amd64.deb
 67fbd7741247c1336243ac896772aea27179ecf7bb700e506b00d11fe6167364 121694 libpjmedia2_2.1.0~ast20130801-1_amd64.deb
 3bde08737a36d7a826fbe5d83ba8fd7d3d3d7f33bc59ea6e97bcc8cb8eee7be4 66898 libpjnath2_2.1.0~ast20130801-1_amd64.deb
 51c42146b966a0d2fa73b61f74182da260a7ed51b02d67fa6ce58269875fc490 33926 libpjsip-simple2_2.1.0~ast20130801-1_amd64.deb
 840a16f6299661d03929e6c5205a17d62d8e1e8b7d50eaf9e33bd250ed4e59f5 41822 libpjsip-ua2_2.1.0~ast20130801-1_amd64.deb
 fda7ec4e44af766ed71eb2ecc954451da637fe6f9031454f3717635fe47c9bca 109308 libpjsip2_2.1.0~ast20130801-1_amd64.deb
 3a2166d7d4e256f604d6f5329567323aaee9f3e4c733903cc7c3303e6c553bcb 97650 libpjsua2_2.1.0~ast20130801-1_amd64.deb
 f6e7c91389387daef91af59cf98fadb0d508452515aaf36c5cf099e82ec63af1 68382 libpj2_2.1.0~ast20130801-1_amd64.deb
 33c0975620653b870401d3e14c09f7d8e3029aef591a9fdb684310b7f5bfeaaa 1022948 libpjproject-dev_2.1.0~ast20130801-1_amd64.deb
Files: 
 e020cd056ff7225ae1486e64b08e5d38 1940 comm optional pjproject_2.1.0~ast20130801-1.dsc
 1cefb36740cd5a62367ba0314499ed65 4988012 comm optional pjproject_2.1.0~ast20130801.orig.tar.gz
 d11dd51d93c95c9bdd6ecbe683d82eab 24610 comm optional pjproject_2.1.0~ast20130801-1.debian.tar.gz
 2913941ba12a46df60207ae3859628e0 54302 comm optional libpjlib-util2_2.1.0~ast20130801-1_amd64.deb
 1075e0e1467a16050ff1f6ad65e20344 17868 comm optional libpjmedia-audiodev2_2.1.0~ast20130801-1_amd64.deb
 eb438997b3bb9c3aa65ab085b5beaa0c 22464 comm optional libpjmedia-codec2_2.1.0~ast20130801-1_amd64.deb
 02559d3d63c5d519ffc783ec9eac03d8 6386 comm optional libpjmedia-videodev2_2.1.0~ast20130801-1_amd64.deb
 8dbcb4b4d613dc4bc9e8f9033de9480b 121694 comm optional libpjmedia2_2.1.0~ast20130801-1_amd64.deb
 5faf5b776f72a55d08435bd4759a7bed 66898 comm optional libpjnath2_2.1.0~ast20130801-1_amd64.deb
 273451c8e85a1b713b2e3cfa972bcc45 33926 comm optional libpjsip-simple2_2.1.0~ast20130801-1_amd64.deb
 d1364103a2c4f6e6dcc1c5173a1262c3 41822 comm optional libpjsip-ua2_2.1.0~ast20130801-1_amd64.deb
 3ef105e570e4b27f1e1a841643adf14b 109308 comm optional libpjsip2_2.1.0~ast20130801-1_amd64.deb
 851cfb7c9b856851b9ee0c0144f8ac53 97650 comm optional libpjsua2_2.1.0~ast20130801-1_amd64.deb
 b2a943386f8ff80e1c1290a8a66231c0 68382 comm optional libpj2_2.1.0~ast20130801-1_amd64.deb
 5269bf7c28593411e818619b85f8f3b9 1022948 libdevel optional libpjproject-dev_2.1.0~ast20130801-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlICp9AACgkQxArWdkN9MouNEQCgip8H/eBZtGsA/Wpr+IoaMAdj
WnAAni9xAIs99GM491A6RuY3pR629G2x
=0JSX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Oct 2013 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:31:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.